package com.liangjian.dataplatform.member.controller;

import com.liangjian.dataplatform.member.entity.response.ResultObject;
import com.liangjian.dataplatform.member.service.IDataDictoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.Map;

/**
 * @Author: 黄树文
 * @Date: 2019/11/29 11:55
 */
@RestController
@RequestMapping("/dataDictory")
@Api(value = "字典", tags = "字典", description = "字典")
public class DataDictoryController {

    @Autowired
    private IDataDictoryService iDataDictoryService;


    @GetMapping("/findAllOriginType")
    @ApiOperation(value = "查询")
    public ResultObject<ArrayList<Map<String, Object>>> query() {

        return ResultObject.success(iDataDictoryService.findAllOriginType());

    }



}
