package com.liangjian.dataplatform.member.service.impl;

import com.liangjian.dataplatform.member.dao.tertiary.OrderProductsRepository;
import com.liangjian.dataplatform.member.entity.po.tertiary.OrderProducts;
import com.liangjian.dataplatform.member.service.IOrderProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/30
 */
@Service
public class OrderProductService implements IOrderProductService {
    @Autowired
    private OrderProductsRepository orderProductsRepository;

    @Override
    public List<OrderProducts> queryByOrderCode(String orderCode) {
        return orderProductsRepository.queryByOrdersCode(orderCode);
    }
}
