package com.liangjian.dataplatform.member.controller;

import com.liangjian.dataplatform.member.entity.po.secondary.FiltersData;
import com.liangjian.dataplatform.member.service.IPurchaseHistoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/purchaseHistory")
@Api(value = "采购历史控制器", tags = "采购历史控制器", description = "采购历史控制器")
public class PurchaseHistoryController {

    @Autowired
    private IPurchaseHistoryService purchaseHistoryService;


    @PostMapping("/orderList")
    private Map<String, Object> orderList(@ApiParam(value = "参数", required = true) @RequestBody FiltersData data){

        return purchaseHistoryService.orderList(data);
    }


    @PostMapping("/orderproductsList")
    private Map<String, Object> orderproductsList(@ApiParam(value = "参数", required = true) @RequestBody FiltersData data){

        return purchaseHistoryService.orderproductsList(data);
    }






}
