package com.liangjian.dataplatform.member.dao.primary;

import com.liangjian.dataplatform.member.entity.po.primary.MetaRel;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/28 16:37
 */
public interface MetaRelRepository extends JpaRepository<MetaRel,String> {

    /**
     * 查询关系信息
     * @param src
     * @return
     */
    List<MetaRel> queryBySrc(String src);

    /**
     * 分页查询关系信息
     * @param src
     * @param pageable
     * @return
     */
    Page<MetaRel> queryBySrc(String src, Pageable pageable);
}
