package com.liangjian.dataplatform.member.dao.secondary;

import com.liangjian.dataplatform.member.entity.po.secondary.MemIngOrders;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;


public interface UserOrdersRepository extends JpaRepository<MemIngOrders,String>, JpaSpecificationExecutor<MemIngOrders> {

    Page<MemIngOrders> queryByAccountId(String phone, Pageable pageable);

    Page<MemIngOrders> queryByAccountIdAndOrderState(String phone,Integer state, Pageable pageable);

    Page<MemIngOrders> queryByOrdersCode(String orderCode, Pageable pageable);
}
